[package]
name = "libconductor"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
serde = { version = "1", features=["derive"]}
serde_json = { version ="1", features = ["raw_value"]}
async-trait = { version = "0.1.57", optional = true}
libconfig = { version = "0.1.0", git = "https://git.batsense.net/librepages/libconfig" }

[features]
default = [
	"min",
	"full",
]

full = ["async-trait", "min"]
min = []
